Loading...
Searching...
No Matches
fastjet::FunctionOfPseudoJet< TOut > Class Template Referenceabstract

base class providing interface for a generic function of a PseudoJet More...

`#include <fastjet/FunctionOfPseudoJet.hh>`

Inheritance diagram for fastjet::FunctionOfPseudoJet< TOut >:
[legend]

## Public Member Functions

| FunctionOfPseudoJet ()
| default ctor
virtual | ~FunctionOfPseudoJet ()
| default dtor (virtual to allow safe polymorphism)
virtual std::string | description () const
| returns a description of the function (an empty string by default)
virtual TOut | result (const PseudoJet &pj) const =0
| the action of the function this has to be overloaded in derived classes
TOut | operator() (const PseudoJet &pj) const
| apply the function using the "traditional" () operator.
std::vector< TOut > | operator() (const std::vector< PseudoJet > &pjs) const
| apply the function on a vector of PseudoJet, returning a vector of the results.

## Detailed Description

template<typename TOut>
class fastjet::FunctionOfPseudoJet< TOut >

base class providing interface for a generic function of a PseudoJet

This class serves as a base class to provide a standard interface for a function that returns an object of a given (templated) type that depends on a PseudoJet argument. The rationale for using a class (rather than a pointer to a function) is that a class can be constructed with (and store) additional arguments.

Definition at line 48 of file FunctionOfPseudoJet.hh.

## Constructor & Destructor Documentation

## FunctionOfPseudoJet()

template<typename TOut>

fastjet::FunctionOfPseudoJet< TOut >::FunctionOfPseudoJet | ( |  | ) |

inline

default ctor

Definition at line 51 of file FunctionOfPseudoJet.hh.

## ~FunctionOfPseudoJet()

template<typename TOut>

virtual fastjet::FunctionOfPseudoJet< TOut >::~FunctionOfPseudoJet | ( |  | ) |

inline virtual

default dtor (virtual to allow safe polymorphism)

Definition at line 61 of file FunctionOfPseudoJet.hh.

## Member Function Documentation

## description()

template<typename TOut>

virtual std::string fastjet::FunctionOfPseudoJet< TOut >::description | ( |  | ) | const

inline virtual

returns a description of the function (an empty string by default)

Reimplemented in fastjet::BackgroundJetPtDensity, fastjet::BackgroundJetPtMDensity, fastjet::BackgroundJetScalarPtDensity, fastjet::CASubJetTagger, fastjet::Filter, fastjet::JHTopTagger, fastjet::MassDropTagger, fastjet::Pruner, fastjet::Recluster, fastjet::RestFrameNSubjettinessTagger, fastjet::Subtractor, and fastjet::Transformer.

Definition at line 65 of file FunctionOfPseudoJet.hh.

## result()

template<typename TOut>

virtual TOut fastjet::FunctionOfPseudoJet< TOut >::result | ( | const PseudoJet & | pj | ) | const

pure virtual

the action of the function this has to be overloaded in derived classes

Parameters

  pj | the PseudoJet input to the function

Implemented in fastjet::BackgroundJetPtDensity, fastjet::BackgroundJetPtMDensity, fastjet::BackgroundJetScalarPtDensity, fastjet::BackgroundRescalingYPolynomial, fastjet::Boost, fastjet::CASubJetTagger, fastjet::Filter, fastjet::JHTopTagger, fastjet::MassDropTagger, fastjet::Pruner, fastjet::Recluster, fastjet::RestFrameNSubjettinessTagger, fastjet::SISConeBasePlugin::UserScaleBase, fastjet::Subtractor, fastjet::Transformer, and fastjet::Unboost.

## operator()() [1/2]

template<typename TOut>

TOut fastjet::FunctionOfPseudoJet< TOut >::operator() | ( | const PseudoJet & | pj | ) | const

inline

apply the function using the "traditional" () operator.

By default, this just calls the apply(...) method above.

Parameters

  pj | the PseudoJet input to the function

Definition at line 75 of file FunctionOfPseudoJet.hh.

## operator()() [2/2]

template<typename TOut>

std::vector< TOut > fastjet::FunctionOfPseudoJet< TOut >::operator() | ( | const std::vector< PseudoJet > & | pjs | ) | const

inline

apply the function on a vector of PseudoJet, returning a vector of the results.

This just calls apply on every PseudoJet in the vector.

Parameters

  pjs | the vector of PseudoJet inputs to the function

Definition at line 81 of file FunctionOfPseudoJet.hh.

The documentation for this class was generated from the following file:

- include/fastjet/FunctionOfPseudoJet.hh